@echo off

:: Modified: 10Apr2010
:: File Name:  START_NXMANAGER.BAT

:: Edit this line to show NX release number (NX6, NX7, NX75)
set NX_NUMBER=NX75

:: ************************************************************************

:: This script will set the appropriate variables and then run NX/Manager without workspace.

:: Copyright (c) 1995-1999
:: Unigraphics Solutions, Cypress, CA 90630
:: All Rights Reserved

:: Input Parameters:

:: Command line parameters will be passed through to Unigraphics.

:: NOTE: You MUST use a colon "" for key=value pairs
::       N-tier argument should always be at last.
::       For example:
::       start_nxmanager test.bkm -opts "-u=tom" "-p=tom" n-tier

:: ************************************************************************
:: Revision History:

:: REV                  AUTHOR                 COMMENT
:: ===                   ======                     =======
:: 31-Jul-2001     rupert                        Add UGII_BASE_DIR
:: 01-Oct-2001   brownch                    Fixed PR4338228.
:: 16-Dec-2005  yang                          4-tier NX Manager
:: 08-Jan-2006   Mathieu Sarrazy      Merge from CVG_P10.0.1.5
:: 10-Jan-2007   Mayur Deshpande  Changes regarding common start_nxmanager for 2T/4T
:: $HISTORY$
:: ************************************************************************
 
:: Get the n-tier argument which is last in the argument list
set NTIER_ARG=
:setArg
 shift
 if ""%1""=="""" goto doneSetArg
 set NTIER_ARG=%1
 goto setArg
:doneSetArg

if "%NTIER_ARG%"=="2-tier" goto :2-tier
if "%NTIER_ARG%"=="4-tier" goto :4-tier
goto :ntier_error

:2-tier
:: Set the pdi corba library.
:: This expects this library to be found in UGII_LIB_PATH
set UGII_UGMGR_EXTERNAL_COMMS_LIB=pdi_corba_client
goto :common

:4-tier
:: set the communication mode
set UGII_UGMGR_COMMUNICATION=HTTP
goto :common

:common
:: set the UGII_BASE_DIR
::set UGII_BASE_DIR=C:\PLM\NX7~1.5
::set UGII_ROOT_DIR=%UGII_BASE_DIR%\ugii
:: Check whether UGII_BASE_DIR is set
if NOT EXIST "%UGII_BASE_DIR%" goto :nx_error

:: Disable the flash
set UGII_DISABLE_FLASH=YES

set UGII_UGMGR_SOA_ENABLED=TRUE

:: Figure out the startup directory
:: The order of precedence is: API_DEFAULT_DIR, HOME, TC_TMP_DIR, UGII_TMP_DIR, TEMP
:: Otherwise we might end up in trouble if the current working
:: directory we were started up from is not writable.

set START_DIR=%API_DEFAULT_DIR%
if "%START_DIR%"=="" set START_DIR=%HOME%
if "%START_DIR%"=="" set START_DIR=%TC_TMP_DIR%
if "%START_DIR%"=="" set START_DIR=%UGII_TMP_DIR%
if "%START_DIR%"=="" set START_DIR=%TEMP%

cd /d %START_DIR%

:: Start Unigraphics through the launcher program
:: *** Edit this line to point to where the NXcustom directory is located ***
set NX_CUSTOM_DIR=c:\Temp\%NX_NUMBER%custom
%NX_CUSTOM_DIR%\Tc8_%NX_NUMBER%TCIN.bat %*
goto :ENDOFFILE

:nx_error
echo UGII_BASE_DIR must be set
pause
goto :ENDOFFILE

:ntier_error
echo Missing n-tier parameter
pause
goto :ENDOFFILE

:ENDOFFILE

@echo on
